Page MenuHomePhabricator

Convert unique keys into primary keys for some wiki tables on s3-eqiad and s3-codfw
Closed, ResolvedPublic

Description

alter table templatelinks add primary key (tl_from,tl_namespace,tl_title); -- duplicate index, to be fixed on mediawiki later
alter table pagelinks add primary key (pl_from,pl_namespace,pl_title); -- duplicate index, to be fixed on mediawiki later
alter table categorylinks drop key cl_from, add primary key (cl_from,cl_to);
alter table imagelinks drop key il_from, add primary key (il_from,il_to);
alter table iwlinks drop key iwl_from, add primary key (iwl_from,iwl_prefix,iwl_title);
alter table langlinks drop key ll_from, add primary key (ll_from,ll_lang);
alter table log_search drop key ls_field_val, add primary key (ls_field,ls_value,ls_log_id);
alter table math drop key math_inputhash, add primary key (math_inputhash);
alter table module_deps drop key md_module_skin, add primary key (md_module,md_skin);
alter table objectcache drop key keyname, add primary key (keyname);
alter table querycache_info drop key  qci_type, add primary key (qci_type);
alter table site_stats drop key ss_row_id, add primary key (ss_row_id);
alter table text drop key old_id, add primary key (old_id);
alter table transcache drop key tc_url_idx, add primary key (tc_url);
alter table user_former_groups drop key ufg_user_group, add primary key (ufg_user,ufg_group);
alter table user_properties drop key user_properties_user_property, add primary key (up_user,up_property);
  • eqiad
  • codfw

Event Timeline

jcrespo created this task.Apr 26 2017, 3:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2017, 3:22 PM
jcrespo updated the task description. (Show Details)Apr 26 2017, 3:22 PM
jcrespo moved this task from Triage to In progress on the DBA board.
jcrespo moved this task from Backlog to In progress on the Blocked-on-schema-change board.

Mentioned in SAL (#wikimedia-operations) [2017-04-26T18:14:42Z] <jynus> running alter table on all wikis of s3 T163912

ongoing

root@db1075:~$ cat s3.dblist | grep -v -e '^etwiki$' | grep -v -e '^aawiki$' |  while read db; do echo "Altering $db..."; my $db < alter.sql; done
Altering aawikibooks...
Altering aawiktionary...
Altering abwiki...
Altering abwiktionary...
Altering acewiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering advisorywiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering adywiki...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering afwiki...
Altering afwikibooks...
Altering afwikiquote...
Altering afwiktionary...
Altering akwiki...
Altering akwikibooks...
Altering akwiktionary...
Altering alswiki...
Altering alswikibooks...
Altering alswikiquote...
Altering alswiktionary...
Altering amwiki...
Altering amwikiquote...
Altering amwiktionary...
Altering angwiki...
Altering angwikibooks...
Altering angwikiquote...
Altering angwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering angwiktionary...
Altering anwiki...
Altering anwiktionary...
Altering arbcom_cswiki...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering arbcom_dewiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering arbcom_enwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering arbcom_fiwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering arbcom_nlwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering arcwiki...
Altering arwikibooks...
Altering arwikimedia...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering arwikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering arwikiquote...
Altering arwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering arwikiversity...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering arwiktionary...
Altering arzwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering astwiki...
Altering astwikibooks...
Altering astwikiquote...
Altering astwiktionary...
Altering aswiki...
Altering aswikibooks...
Altering aswikisource...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering aswiktionary...
Altering auditcomwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering avwiki...
Altering avwiktionary...
Altering aywiki...
Altering aywikibooks...
Altering aywiktionary...
Altering azbwiki...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering azwikibooks...
Altering azwikiquote...
Altering azwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering azwiktionary...
Altering barwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering bat_smgwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering bawiki...
ltering bawikibooks...
Altering bclwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering bdwikimedia...
ERROR 1146 (42S02) at line 8: Table 'bdwikimedia.math' doesn't exist
Altering betawikiversity...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering bewiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering bewikibooks...
Altering bewikimedia...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering bewikiquote...
Altering bewikisource...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering bewiktionary...
Altering be_x_oldwiki...
Altering bgwikibooks...
Altering bgwikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering bgwikiquote...
Altering bgwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering bhwiki...
Altering bhwiktionary...
Altering biwiki...
Altering biwikibooks...
Altering biwiktionary...
Altering bjnwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering bmwiki...
Altering bmwikibooks...
Altering bmwikiquote...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering bmwiktionary...
Altering bnwiki...
Altering bnwikibooks...
Altering bnwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering bnwiktionary...
Altering boardgovcomwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering boardwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering bowiki...
Altering bowikibooks...
Altering bowiktionary...
Altering bpywiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering brwiki...
Altering brwikimedia...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering brwikiquote...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering brwikisource...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering brwiktionary...
Altering bswiki...
Altering bswikibooks...
Altering bswikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering bswikiquote...
Altering bswikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering bswiktionary...
Altering bugwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering bxrwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering cawikibooks...
Altering cawikimedia...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering cawikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering cawikiquote...
Altering cawikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering cawiktionary...
Altering cbk_zamwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering cdowiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering cebwiki...

During the night:

Altering cebwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering cewiki...
Altering chairwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering chapcomwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering checkuserwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering chowiki...
Altering chrwiki...
Altering chrwiktionary...
Altering chwiki...
Altering chwikibooks...
Altering chwiktionary...
Altering chywiki...
Altering ckbwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering cnwikimedia...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering collabwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering cowiki...
Altering cowikibooks...
Altering cowikimedia...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering cowikiquote...
Altering cowiktionary...
Altering crhwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering crwiki...
Altering crwikiquote...
Altering crwiktionary...
Altering csbwiki...
Altering csbwiktionary...
Altering cswikibooks...
Altering cswikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering cswikiquote...
Altering cswikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering cswikiversity...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering cswiktionary...
Altering cuwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering cvwiki...
Altering cvwikibooks...
Altering cywiki...
Altering cywikibooks...
Altering cywikiquote...
Altering cywikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering cywiktionary...
Altering dawiki...
Altering dawikibooks...
Altering dawikiquote...
Altering dawikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering dawiktionary...
Altering dewikibooks...
Altering dewikinews...
Altering dewikiquote...
Altering dewikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering dewikiversity...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering dewikivoyage...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering dewiktionary...
Altering diqwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering dkwikimedia...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering donatewiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering dsbwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering dtywiki...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering dvwiki...
Altering dvwiktionary...
Altering dzwiki...
Altering dzwiktionary...
Altering ecwikimedia...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering eewiki...
Altering elwiki...
Altering elwikibooks...
Altering elwikinews...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering elwikiquote...
Altering elwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering elwikiversity...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
ltering elwikivoyage...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering elwiktionary...
Altering emlwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering enwikibooks...
Altering enwikinews...
Altering enwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering enwikiversity...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering enwikivoyage...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering eowikibooks...
Altering eowikinews...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering eowikiquote...
Altering eowikisource...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering eowiktionary...
Altering eswikibooks...
Altering eswikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering eswikiquote...
Altering eswikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering eswikiversity...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering eswikivoyage...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering eswiktionary...
Altering etwikibooks...
Altering etwikimedia...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering etwikiquote...
Altering etwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering etwiktionary...
Altering euwiki...
Altering euwikibooks...
Altering euwikiquote...
Altering euwiktionary...
Altering execwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering extwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering fawikibooks...
Altering fawikinews...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering fawikiquote...
Altering fawikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering fawikivoyage...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering fawiktionary...
Altering fdcwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering ffwiki...
Altering fiu_vrowiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering fiwikibooks...
Altering fiwikimedia...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering fiwikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering fiwikiquote...
Altering fiwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering fiwikiversity...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering fiwikivoyage...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering fiwiktionary...
Altering fjwiki...
Altering fjwiktionary...
Altering foundationwiki...
Altering fowiki...
Altering fowikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering fowiktionary...
Altering frpwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering frrwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering frwikibooks...
Altering frwikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering frwikiquote...
Altering frwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering frwikiversity...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering frwikivoyage...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering furwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering fywiki...
Altering fywikibooks...
Altering fywiktionary...
Altering gagwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering ganwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering gawiki...
Altering gawikibooks...
Altering gawikiquote...
Altering gawiktionary...
Altering gdwiki...
Altering gdwiktionary...
Altering glkwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering glwiki...
Altering glwikibooks...
Altering glwikiquote...
Altering glwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering glwiktionary...
Altering gnwiki...
Altering gnwikibooks...
Altering gnwiktionary...
Altering gomwiki...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering gotwiki...
Altering gotwikibooks...
Altering grantswiki...
Altering guwiki...
Altering guwikibooks...
Altering guwikiquote...
Altering guwikisource...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering guwiktionary...
Altering gvwiki...
Altering gvwiktionary...
Altering hakwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering hawiki...
Altering hawiktionary...
Altering hawwiki...
Altering hewikibooks...
Altering hewikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering hewikiquote...
Altering hewikisource...
Altering hewikivoyage...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering hewiktionary...
Altering hifwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering hiwiki...
Altering hiwikibooks...
Altering hiwikiquote...
Altering hiwiktionary...
Altering howiki...
Altering hrwiki...
Altering hrwikibooks...
Altering hrwikiquote...
Altering hrwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering hrwiktionary...
Altering hsbwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering hsbwiktionary...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering htwiki...
Altering htwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering huwikibooks...
Altering huwikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering huwikiquote...
Altering huwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering huwiktionary...
Altering hywiki...
Altering hywikibooks...
Altering hywikiquote...
Altering hywikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering hywiktionary...
Altering hzwiki...
Altering iawiki...
Altering iawikibooks...
Altering iawiktionary...
Altering idwikibooks...
Altering idwikiquote...
Altering idwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering idwiktionary...
Altering iegcomwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering iewiki...
Altering iewikibooks...
Altering iewiktionary...
Altering igwiki...
Altering iiwiki...
Altering ikwiki...
Altering ikwiktionary...
Altering ilowiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering ilwikimedia...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering incubatorwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering internalwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering iowiki...
Altering iowiktionary...
Altering iswiki...
Altering iswikibooks...
Altering iswikiquote...
Altering iswikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering iswiktionary...
Altering itwikibooks...
Altering itwikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering itwikiquote...
Altering itwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering itwikiversity...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering itwikivoyage...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering itwiktionary...
Altering iuwiki...
Altering iuwiktionary...
Altering jamwiki...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering jawikibooks...
Altering jawikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering jawikiquote...
Altering jawikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering jawikiversity...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering jawiktionary...
Altering jbowiki...
Altering jbowiktionary...
Altering jvwiki...
Altering jvwiktionary...
Altering kaawiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering kabwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering kawiki...
Altering kawikibooks...
Altering kawikiquote...
Altering kawiktionary...
Altering kbdwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering kgwiki...
Altering kiwiki...
Altering kjwiki...
Altering kkwiki...
Altering kkwikibooks...
Altering kkwikiquote...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering kkwiktionary...
Altering klwiki...
Altering klwiktionary...
Altering kmwiki...
Altering kmwikibooks...
Altering kmwiktionary...
Altering knwiki...
Altering knwikibooks...
Altering knwikiquote...
Altering knwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering knwiktionary...
Altering koiwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering kowikibooks...
Altering kowikinews...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering kowikiquote...
Altering kowikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering kowikiversity...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering kowiktionary...
Altering krcwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering krwiki...
Altering krwikiquote...
Altering kshwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering kswiki...
Altering kswikibooks...
Altering kswikiquote...
Altering kswiktionary...
Altering kuwiki...
Altering kuwikibooks...
Altering kuwikiquote...
Altering kuwiktionary...
Altering kvwiki...
Altering kwwiki...
Altering kwwikiquote...
Altering kwwiktionary...
Altering kywiki...
Altering kywikibooks...
Altering kywikiquote...
Altering kywiktionary...
Altering ladwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering lawiki...
Altering lawikibooks...
Altering lawikiquote...
Altering lawikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering lawiktionary...
Altering lbewiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering lbwiki...
Altering lbwikibooks...
Altering lbwikiquote...
Altering lbwiktionary...
Altering legalteamwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering lezwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering lgwiki...
Altering lijwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering liwiki...
Altering liwikibooks...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering liwikiquote...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering liwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering liwiktionary...
Altering lmowiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering lnwiki...
Altering lnwikibooks...
Altering lnwiktionary...
Altering loginwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering lowiki...
Altering lowiktionary...
Altering lrcwiki...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering ltgwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering ltwiki...
Altering ltwikibooks...
Altering ltwikiquote...
Altering ltwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering ltwiktionary...
Altering lvwiki...
Altering lvwikibooks...
Altering lvwiktionary...
Altering maiwiki...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering map_bmswiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering mdfwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering mediawikiwiki...
Altering mgwiki...
Altering mgwikibooks...
Altering mgwiktionary...
Altering mhrwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering mhwiki...
Altering mhwiktionary...
Altering minwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering miwiki...
Altering miwikibooks...
Altering miwiktionary...
Altering mkwiki...
Altering mkwikibooks...
Altering mkwikimedia...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering mkwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering mkwiktionary...
Altering mlwiki...
Altering mlwikibooks...
Altering mlwikiquote...
Altering mlwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering mlwiktionary...
Altering mnwiki...
Altering mnwikibooks...
Altering mnwiktionary...
Altering movementroleswiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering mowiki...
Altering mowiktionary...
Altering mrjwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering mrwiki...
Altering mrwikibooks...
Altering mrwikiquote...
Altering mrwikisource...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering mrwiktionary...
Altering mswiki...
Altering mswikibooks...
Altering mswiktionary...
Altering mtwiki...
Altering mtwiktionary...
Altering muswiki...
Altering mwlwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering mxwikimedia...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering myvwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering mywiki...
Altering mywikibooks...
Altering mywiktionary...
Altering mznwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering nahwiki...
Altering nahwikibooks...
Altering nahwiktionary...
Altering napwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering nawiki...
Altering nawikibooks...
Altering nawikiquote...
Altering nawiktionary...
Altering nds_nlwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering ndswiki...
Altering ndswikibooks...
Altering ndswikiquote...
Altering ndswiktionary...
Altering newiki...
Altering newikibooks...
Altering newiktionary...
Altering newwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering ngwiki...
Altering nlwikibooks...
Altering nlwikimedia...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering nlwikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering nlwikiquote...
Altering nlwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering nlwikivoyage...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering nlwiktionary...
Altering nnwiki...
Altering nnwikiquote...
Altering nnwiktionary...
Altering noboard_chapterswikimedia...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering nostalgiawiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering novwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering nowikibooks...
Altering nowikimedia...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering nowikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering nowikiquote...
Altering nowikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering nowiktionary...
Altering nrmwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering nsowiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering nvwiki...
Altering nycwikimedia...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering nywiki...
Altering nzwikimedia...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering ocwiki...

It "finished" now:

Altering ocwikibooks...
Altering ocwiktionary...
Altering officewiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering olowiki...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering ombudsmenwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering omwiki...
Altering omwiktionary...
Altering orwiki...
Altering orwikisource...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering orwiktionary...
Altering oswiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering otrs_wikiwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering outreachwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering pagwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering pamwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering papwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering pa_uswikimedia...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering pawiki...
Altering pawikibooks...
Altering pawikisource...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering pawiktionary...
Altering pcdwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering pdcwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering pflwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering pihwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering piwiki...
Altering piwiktionary...
Altering plwikibooks...
Altering plwikimedia...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering plwikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering plwikiquote...
Altering plwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering plwikivoyage...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering plwiktionary...
Altering pmswiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering pnbwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering pnbwiktionary...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering pntwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering projectcomwiki...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering pswiki...
Altering pswikibooks...
Altering pswiktionary...
Altering ptwikibooks...
Altering ptwikimedia...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering ptwikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering ptwikiquote...
Altering ptwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering ptwikiversity...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering ptwikivoyage...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering ptwiktionary...
Altering qualitywiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering quwiki...
Altering quwikibooks...
Altering quwikiquote...
Altering quwiktionary...
Altering rmwiki...
Altering rmwikibooks...
Altering rmwiktionary...
Altering rmywiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering rnwiki...
Altering rnwiktionary...
Altering roa_rupwiki...
Altering roa_rupwiktionary...
Altering roa_tarawiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering rowikibooks...
Altering rowikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering rowikiquote...
Altering rowikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering rowikivoyage...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering rowiktionary...
Altering rswikimedia...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering ruewiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering ruwikibooks...
Altering ruwikimedia...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering ruwikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering ruwikiquote...
Altering ruwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering ruwikiversity...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering ruwikivoyage...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering ruwiktionary...
Altering rwwiki...
Altering rwwiktionary...
Altering sahwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering sahwikisource...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering sawiki...
Altering sawikibooks...
Altering sawikiquote...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering sawikisource...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering sawiktionary...
Altering scnwiki...
Altering scnwiktionary...
Altering scowiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering scwiki...
Altering scwiktionary...
Altering sdwiki...
Altering sdwikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering sdwiktionary...
Altering searchcomwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering sewiki...
Altering sewikibooks...
Altering sewikimedia...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering sgwiki...
Altering sgwiktionary...
Altering shwiki...
Altering shwiktionary...
Altering simplewiki...
Altering simplewikibooks...
Altering simplewikiquote...
Altering simplewiktionary...
Altering siwiki...
Altering siwikibooks...
Altering siwiktionary...
Altering skwiki...
Altering skwikibooks...
Altering skwikiquote...
Altering skwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering skwiktionary...
Altering slwiki...
Altering slwikibooks...
Altering slwikiquote...
Altering slwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering slwikiversity...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering slwiktionary...
Altering smwiki...
Altering smwiktionary...
Altering snwiki...
Altering snwiktionary...
Altering sourceswiki...
Altering sowiki...
Altering sowiktionary...
Altering spcomwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering specieswiki...
Altering sqwiki...
Altering sqwikibooks...
Altering sqwikinews...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering sqwikiquote...
Altering sqwiktionary...
Altering srnwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering srwiki...
Altering srwikibooks...
Altering srwikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering srwikiquote...
Altering srwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering srwiktionary...
Altering sswiki...
Altering sswiktionary...
Altering stewardwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering stqwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering strategywiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering stwiki...
Altering stwiktionary...
Altering suwiki...
Altering suwikibooks...
Altering suwikiquote...
Altering suwiktionary...
Altering svwikibooks...
Altering svwikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering svwikiquote...
Altering svwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering svwikiversity...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering svwikivoyage...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering svwiktionary...
Altering swwiki...
Altering swwikibooks...
Altering swwiktionary...
Altering szlwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering tawiki...
Altering tawikibooks...
Altering tawikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering tawikiquote...
Altering tawikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering tawiktionary...
Altering tcywiki...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering tenwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering test2wiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering testwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering testwikidatawiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering tetwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering tewiki...
Altering tewikibooks...
Altering tewikiquote...
Altering tewikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering tewiktionary...
Altering tgwiki...
Altering tgwikibooks...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering tgwiktionary...
Altering thwikibooks...
Altering thwikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering thwikiquote...
Altering thwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering thwiktionary...
Altering tiwiki...
Altering tiwiktionary...
Altering tkwiki...
Altering tkwikibooks...
Altering tkwikiquote...
Altering tkwiktionary...
Altering tlwiki...
Altering tlwikibooks...
Altering tlwiktionary...
Altering tnwiki...
Altering tnwiktionary...
Altering towiki...
Altering towiktionary...
Altering tpiwiki...
Altering tpiwiktionary...
Altering transitionteamwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering trwikibooks...
Altering trwikimedia...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering trwikinews...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering trwikiquote...
Altering trwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering trwiktionary...
Altering tswiki...
Altering tswiktionary...
Altering ttwiki...
Altering ttwikibooks...
Altering ttwikiquote...
Altering ttwiktionary...
Altering tumwiki...
Altering twwiki...
Altering twwiktionary...
Altering tyvwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering tywiki...
Altering uawikimedia...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering udmwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering ugwiki...
Altering ugwikibooks...
Altering ugwikiquote...
Altering ugwiktionary...
Altering ukwikibooks...
Altering ukwikimedia...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering ukwikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering ukwikiquote...
Altering ukwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering ukwikivoyage...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering ukwiktionary...
Altering urwiki...
Altering urwikibooks...
Altering urwikiquote...
Altering urwiktionary...
Altering usabilitywiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering uzwiki...
Altering uzwikibooks...
Altering uzwikiquote...
Altering uzwiktionary...
Altering vecwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering vecwikisource...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering vecwiktionary...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering vepwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering vewiki...
Altering viwikibooks...
Altering viwikiquote...
Altering viwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering viwikivoyage...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering viwiktionary...
Altering vlswiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering votewiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering vowiki...
Altering vowikibooks...
Altering vowikiquote...
Altering vowiktionary...
Altering warwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering wawiki...
Altering wawikibooks...
Altering wawiktionary...
Altering wbwikimedia...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering wg_enwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering wikimania2005wiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering wikimania2006wiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering wikimania2007wiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering wikimania2008wiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering wikimania2009wiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering wikimania2010wiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering wikimania2011wiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering wikimania2012wiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering wikimania2013wiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering wikimania2014wiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering wikimania2015wiki...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering wikimania2016wiki...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering wikimania2017wiki...
ERROR 1091 (42000) at line 8: Can't DROP 'math_inputhash'; check that column/key exists
Altering wikimaniateamwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering wowiki...
Altering wowikiquote...
Altering wowiktionary...
Altering wuuwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering xalwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering xhwiki...
Altering xhwikibooks...
Altering xhwiktionary...
Altering xmfwiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering yiwiki...
Altering yiwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering yiwiktionary...
Altering yowiki...
Altering yowikibooks...
Altering yowiktionary...
Altering zawiki...
Altering zawikibooks...
Altering zawikiquote...
Altering zawikiquote...
Altering zawiktionary...
Altering zeawiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering zerowiki...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering zh_classicalwiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering zh_min_nanwiki...
Altering zh_min_nanwikibooks...
Altering zh_min_nanwikiquote...
Altering zh_min_nanwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering zh_min_nanwiktionary...
Altering zhwikibooks...
Altering zhwikinews...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering zhwikiquote...
Altering zhwikisource...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering zhwikivoyage...
ERROR 1091 (42000) at line 10: Can't DROP 'keyname'; check that column/key exists
Altering zhwiktionary...
Altering zh_yuewiki...
ERROR 1091 (42000) at line 13: Can't DROP 'old_id'; check that column/key exists
Altering zuwiki...
Altering zuwikibooks...
Altering zuwiktionary...
Ankry added a subscriber: Ankry.Apr 30 2017, 8:48 AM
jcrespo renamed this task from Convert unique keys into primary keys for some wiki tables on s3 to Convert unique keys into primary keys for some wiki tables on s3-eqiad.May 1 2017, 11:15 AM

Mentioned in SAL (#wikimedia-operations) [2017-05-02T21:52:09Z] <jynus> running previously failed alter tables on s3-eqiad T163912

jcrespo closed this task as Resolved.May 2 2017, 10:29 PM

This is now ran on all eqiad servers through replication, only codfw is pending (aside from ignored tables). Given the high number of alters, a check has to be run, but I will wait until all servers are theoretically converted.

Great news!!! Save the scripts for codfw! :-p

Marostegui renamed this task from Convert unique keys into primary keys for some wiki tables on s3-eqiad to Convert unique keys into primary keys for some wiki tables on s3-eqiad and s3-codfw.Oct 3 2017, 7:55 AM
Marostegui reopened this task as Open.
Marostegui updated the task description. (Show Details)

I will apply the same procedure to codfw master (db2018)

Mentioned in SAL (#wikimedia-operations) [2017-10-03T08:05:34Z] <marostegui> Deplo alter table on s3 codfw master (db2018) to add PK to the main tables - T163912

This has started in a screen on db2018 called: alter

Ankry removed a subscriber: Ankry.Oct 3 2017, 9:02 AM
Marostegui closed this task as Resolved.Oct 6 2017, 5:43 AM

codfw is now done

Marostegui updated the task description. (Show Details)Oct 6 2017, 5:43 AM